@import "../../../../src/styles/colours";
@import "../../../styles/fonts";
@import "../../../styles/responsive";

.header-container {
  height: 80px;
  width: 100%;
  background-color: #4990a4;
  padding: 0px 20px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  position: relative;
}
.header-logo {
  width: 50vw;
  img {
    max-width: 46%;
  }
}
.menuHidden {
  left: -100%;
}
.nav-links {
  width: 100vw;
  position: absolute;
  top: 80px;
  left: -100%;
  transition: all 0.5s;
  height: 50vh;
  background-color: $fourth-color;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;


  li {
    list-style: none;
  }

  a {
    text-decoration: none;
    list-style: none;
    color: white;
    text-transform: uppercase;
    margin-right: 5px;
  }
}
.active-nav-link,
.nav-links li:hover {
  border-bottom: 3px solid white;
  transition: 0.5s;
}

.check-btn {
  color: white;
  font-size: 1.4rem;
  cursor: pointer;
}
#checkbox-mobile-menu {
  display: none;
}
#checkbox-mobile-menu:checked ~ .nav-links {
  left: 0;
}

@include tablet {
  .check-btn {
    display: none;
  }

  .nav-links {
    width: 50vw;
    display: flex;
    justify-content: space-between;
    position: relative;
    top: 0;
    left: 0;
    background-color: transparent;
    flex-direction: row;
    height: 80px;
  }

}

